<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">     
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Orientación</title>
    <style type="text/css">
    body {
        display: flex;
    }
    div {
        background: yellow;
    }
    @media (orientation: landscape) {
        body {
            flex-direction: row;
        }
    }
    @media (orientation: portrait) {
        body {
            flex-direction: column;
        }
    }
    </style>
</head>
<body>
    <section>Box 1</section>
    <section>Box 2</section>
    <section>Box 3</section>
</body>
</html>


